Bug 248798 - double free or corruption
Summary: double free or corruption
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Ben Konrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-18 20:54 UTC by Harald Hoyer
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 3.3.0-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 19:39:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2007-07-18 20:54:25 UTC
$ eclipse
*** glibc detected *** /usr/lib64/eclipse/eclipse: double free or corruption
(!prev): 0x000000000052dee0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x2aaaabe40412]
/lib64/libc.so.6(cfree+0x8c)[0x2aaaabe43b1c]
/usr/lib64/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.0.0.v20070606/eclipse_1017a.so(run+0x15cc)[0x2aaab1cc3f09]
/usr/lib64/eclipse/eclipse(realpath+0x3c2)[0x4018ea]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x2aaaabdedab4]
/usr/lib64/eclipse/eclipse(strcat+0x42)[0x40157a]


$ rpm -qa eclipse\*
eclipse-ecj-3.3.0-2.fc8
eclipse-rcp-3.3.0-2.fc8
eclipse-platform-3.3.0-2.fc8

Comment 1 Harald Hoyer 2007-07-18 20:57:11 UTC
I can provide further debuginfo, if needed.

Comment 2 Ben Konrath 2007-08-03 19:39:31 UTC
This build has the fix:

http://koji.fedoraproject.org/koji/taskinfo?taskID=88176


Note You need to log in before you can comment on or make changes to this bug.